<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.huimv.apiservice.dao.SowChildbirthDao">


    <insert id="batchInsertData">
        insert into mgt_sow_childbirth(eartag, childbirth_weight, pregnancy_date, childbirth_count) VALUES
        <foreach collection="list" item="item" separator=",">
            (#{item.eartag},
             #{item.childbirthWeight},
             #{item.pregnancyDate},
             #{item.childbirthCount})
        </foreach>
    </insert>
</mapper>